> ## Documentation Index
> Fetch the complete documentation index at: https://docs.immitranslate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Account

## Account Object

| Field | Type | Description |
| - | - | - |
| `token` | String | The unique identifier for the account associated with the API key |
| `name` | String | A friendly name for this account, if set. |
| `number` | String | The account name as published on PDF invoices, receipts, and used internally. |
| `user` | Object | The user the API key belongs to, or who connected the OAuth app: the person the request acts for. Same fields as `users`. |
| `app` | Object | For OAuth access tokens: the app's `token` and `name`, whether it is `verified`, whether it `can_pay`, and when the user connected it (`connected_at`, which is reset if they disconnect and connect again). `null` for API keys. |
| `users` | Array | A list of all the associated users with this account. |

## Get Account

```bash theme={null}
curl "https://api.immitranslate.com/v1/account" \
  -H "Authorization: Bearer a1s2d3f4q5w6e7r8t9y0"
```

The structure of the Account response is below

```json theme={null}
{
  "data": {
    "token": "account_a1b2c3d4",
    "name": "Sandbox Account",
    "number": "89413008229483",
    "user": {
      "email": "sample@immitranslate.test",
      "token": "user_a1b2c3d4",
      "first_name": "Sample",
      "last_name": "User",
      "role": "admin"
    },
    "app": null,
    "users": [
      {
        "email": "sample@immitranslate.test",
        "token": "user_a1b2c3d4",
        "first_name": "Sample",
        "last_name": "User",
        "role": "admin",
        "status": "active",
        "phone_number": null,
        "whatsapp_number": null,
        "created_at": "2025-07-16T20:27:17+00:00",
        "updated_at": "2025-07-16T20:27:17+00:00"
      }
    ],
    "sources": [
      {
        "token": "source_a1b2c3d4",
        "label": "US Bank Account ending in 4321",
        "source_type": "us_bank_account",
        "currency": "usd",
        "processor": "stripe",
        "billing_country": null,
        "billing_postal_code": null,
        "is_saved": true,
        "is_default": false,
        "card_exp_month": null,
        "card_exp_year": null,
        "card_funding_type": null,
        "card_last4": null,
        "card_cvc_check": null,
        "card_avs_check": null,
        "card_brand": null,
        "us_bank_account_type": "checking",
        "us_bank_account_holder_type": "individual",
        "us_bank_name": null,
        "us_bank_last4": "4321",
        "us_bank_routing_number": "*****0000",
        "paypal_email": null,
        "paypal_phone": null,
        "created_at": "2025-07-18T18:44:23+00:00",
        "updated_at": "2025-07-18T18:44:23+00:00"
      },
      {
        "token": "source_x1y2z3",
        "label": "Account Invoice",
        "source_type": "account_invoice",
        "currency": "usd",
        "processor": "immitranslate",
        "billing_country": null,
        "billing_postal_code": null,
        "is_saved": true,
        "is_default": true,
        "card_exp_month": null,
        "card_exp_year": null,
        "card_funding_type": null,
        "card_last4": null,
        "card_cvc_check": null,
        "card_avs_check": null,
        "card_brand": null,
        "us_bank_account_type": null,
        "us_bank_account_holder_type": null,
        "us_bank_name": null,
        "us_bank_last4": null,
        "us_bank_routing_number": null,
        "paypal_email": null,
        "paypal_phone": null,
        "created_at": "2025-07-18T18:46:57+00:00",
        "updated_at": "2025-07-18T18:46:57+00:00"
      }
    ],
    "created_at": "2025-07-16T20:26:20+00:00",
    "updated_at": "2025-07-16T20:29:04+00:00"
  }
}
```

Retrieves information about the account associated with this API key or access token, including who the key or token acts for (`user`, shortened above; it has the same fields as each entry in `users`), a list of the users on the account and available billing methods to use for this account.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.